<?php
/**
* HTTPリクエストイベント
*
* PHP version 5
*
* @package    events
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class HttpRequestEvent extends SystemEvent implements IRequestEvent
{
	private $_request;

	/**
	 * コンストラクタ
	 */
	public function __construct( IRequest $request )
	{
		parent::__construct();

		$this->_request = $request;
	}

	/**
	 * パラメータを取得する
	 */
	public function get( String $key )
	{
		return $this->_request->get( $key );
	}

	/**
	 * パラメータ名の一覧を取得する
	 */
	public function getKeys()
	{
		return $this->_request->getKeys();
	}
}
return __FILE__;
